﻿using System.Windows;

namespace BackgroundWorker_MVVM
{
    public partial class MainWindow : Window
    {
        private ProcessViewModel _vm;

        public MainWindow()
        {
            InitializeComponent();
            // We get a reference to the ViewModel object that is instantiated
            // in the XAML. 
            _vm = (ProcessViewModel)Resources["vm"];
        }

        private void startButton_Click(object sender, RoutedEventArgs e)
        {
            // The Start button click handler is simply a pass-through
            // to a method in the ViewModel.  The View does not do any
            // of the work itself.
            _vm.StartProcess();
        }

        private void cancelButton_Click(object sender, RoutedEventArgs e)
        {
            // The Cancel button click handler is simply a pass-through
            // to a method in the ViewModel.  The View does not do any
            // of the work itself.
            _vm.CancelProcess();
        }
    }
}
